package models

import (
	"time"

	"github.com/google/uuid"
)

// MainMenu model structure
// Stores main menu labels.
type MainMenu struct {
	ID        uuid.UUID `gorm:"type:uuid;default:gen_random_uuid();primaryKey" json:"id"`
	Home      string    `gorm:"type:varchar(100);not null" json:"home"`
	About     string    `gorm:"type:varchar(100);not null" json:"about"`
	Services  string    `gorm:"type:varchar(100);not null" json:"services"`
	Resume    string    `gorm:"type:varchar(100);not null" json:"resume"`
	Portfolio string    `gorm:"type:varchar(100);not null" json:"portfolio"`
	Contact   string    `gorm:"type:varchar(100);not null" json:"contact"`
	IsActive  bool      `gorm:"default:false" json:"is_active"`
	CreatedAt time.Time `json:"created_at"`
	UpdatedAt time.Time `json:"updated_at"`
}

// TableName overrides the table name used by MainMenu to `mane_menu`
func (MainMenu) TableName() string {
	return "mane_menu"
}
